curl --request GET \
--url https://public-test.blips.network/customers/internal-accounts \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://public-test.blips.network/customers/internal-accounts"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://public-test.blips.network/customers/internal-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "InternalAccount:a12dcbd6-dced-4ec4-b756-3c3a9ea3d123",
"customerId": "Customer:019542f5-b3e7-1d02-0000-000000000001",
"currency": "USD",
"balance": {
"amount": 25000,
"currency": "USD"
},
"createdAt": "2025-07-21T17:32:28Z",
"updatedAt": "2025-07-21T17:32:28Z"
}
],
"hasMore": false,
"nextCursor": "",
"totalCount": 1
}{
"status": 400,
"code": "INVALID_REQUEST",
"message": "Invalid internal-account list query parameters",
"details": {
"cursor": "must be a non-negative integer offset"
}
}{
"status": 401,
"code": "UNAUTHORIZED",
"message": "Invalid or missing API credentials",
"details": {}
}{
"status": 500,
"code": "INTERNAL_ERROR",
"message": "Internal service error",
"details": {}
}List customer-owned internal accounts.
Read customer-owned internal accounts with optional currency, customerId, and cursor filters. This surface is distinct from GET /platform/internal-accounts. In the current MVP, same-currency funding is performed separately via POST /transfer-in.
Authorizations
Integration-key Basic Auth (clientId:clientSecret) as documented in docs/public/AUTHENTICATION.md.
Query Parameters
Filter by ISO 4217 currency code.
Filter by the owning customer's BLIPS customer identifier in Customer:<uuid> format.
Maximum number of results to return. Defaults to 10 and caps at 100.
1 <= x <= 100Pagination cursor returned from a previous list response.
Response
Customer internal account list returned.
Customer-owned internal accounts in the current page of results.
Show child attributes
Show child attributes
Whether another page of internal accounts is available.
Cursor to use for the next page when hasMore is true.
Total number of matching internal accounts across all pages.